{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_test_example (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/lemonidas/test-example/.stack-work/install/x86_64-linux-tinfo6/38695a6f0d90bf1b5a5efc8d5e8f6afdc51b68c99018673e3f05c74bb0df2a7c/8.10.6/bin"
libdir     = "/home/lemonidas/test-example/.stack-work/install/x86_64-linux-tinfo6/38695a6f0d90bf1b5a5efc8d5e8f6afdc51b68c99018673e3f05c74bb0df2a7c/8.10.6/lib/x86_64-linux-ghc-8.10.6/test-example-0.1.0.0-HvP4ZURPlrA1toQaEwfaK"
dynlibdir  = "/home/lemonidas/test-example/.stack-work/install/x86_64-linux-tinfo6/38695a6f0d90bf1b5a5efc8d5e8f6afdc51b68c99018673e3f05c74bb0df2a7c/8.10.6/lib/x86_64-linux-ghc-8.10.6"
datadir    = "/home/lemonidas/test-example/.stack-work/install/x86_64-linux-tinfo6/38695a6f0d90bf1b5a5efc8d5e8f6afdc51b68c99018673e3f05c74bb0df2a7c/8.10.6/share/x86_64-linux-ghc-8.10.6/test-example-0.1.0.0"
libexecdir = "/home/lemonidas/test-example/.stack-work/install/x86_64-linux-tinfo6/38695a6f0d90bf1b5a5efc8d5e8f6afdc51b68c99018673e3f05c74bb0df2a7c/8.10.6/libexec/x86_64-linux-ghc-8.10.6/test-example-0.1.0.0"
sysconfdir = "/home/lemonidas/test-example/.stack-work/install/x86_64-linux-tinfo6/38695a6f0d90bf1b5a5efc8d5e8f6afdc51b68c99018673e3f05c74bb0df2a7c/8.10.6/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "test_example_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "test_example_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "test_example_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "test_example_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "test_example_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "test_example_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
